---
id: bitbazis
name: Bit-Bázis
description: "Bit-Bázis is a HUNGARIAN Private Tracker for MOVIES / TV"
language: hu-HU
type: private
encoding: UTF-8
requestDelay: 2
links:
  - https://bitbazis.net/

caps:
  # dont forget to update the path categories in the search block
  categorymappings:
    - {id: 15, cat: Movies/SD, desc: "Film-SD", default: true}
    - {id: 83, cat: Movies/HD, desc: "Film-HD", default: true}
    - {id: 94, cat: Movies/HD, desc: "Film-FHD", default: true}
    - {id: 85, cat: Movies/SD, desc: "Film-Cam", default: true}
    - {id: 22, cat: TV, desc: "Sorozat-Hun", default: true}
    - {id: 25, cat: Audio/MP3, desc: "Mp3-Hun", default: true}
    - {id: 26, cat: Audio/MP3, desc: "Mp3-Eng", default: true}
    - {id: 84, cat: Audio/Lossless, desc: "FLAC-Hun", default: true}
    - {id: 71, cat: Audio/Lossless, desc: "FLAC-Eng", default: true}
    - {id: 27, cat: Books/EBook, desc: "Könyv", default: true}
    - {id: 81, cat: PC/0day, desc: "Program", default: true}
    - {id: 31, cat: PC/Games, desc: "Játék", default: true}
    - {id: 69, cat: TV/Anime, desc: "Mese-SD", default: true}
    - {id: 91, cat: TV/Anime, desc: "Mese-HD", default: true}
    - {id: 64, cat: Movies, desc: "Film-Pack", default: true}
    - {id: 92, cat: Movies/UHD, desc: "Film-UHD", default: true}
    - {id: 66, cat: XXX/ImageSet, desc: "XXX", default: false}
    - {id: 33, cat: XXX/SD, desc: "XXX-SD", default: false}
    - {id: 89, cat: XXX/x264, desc: "XXX-HD", default: false}
    - {id: 24, cat: Audio/Video, desc: "Klip", default: true}
    - {id: 14, cat: Other, desc: "Egyéb", default: true}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    book-search: [q]
    music-search: [q]

settings:
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      1: title
      4: added
      5: size
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrentek száma egy oldalon:</b> setting to <b>50</b> on your account profile.
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "If the user does not access the site for 1 month, he will receive an e-mail notification. If you stay away for 9 months, your account will be suspended and deleted. After the 9-month absence, the user cannot register again."

login:
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: index.php
    selector: a[onclick="confirmLogout()"]

search:
  paths:
    - path: browse.php
      categories: [15, 83, 94, 85, 22, 25, 26, 84, 71, 27, 81, 31, 69, 91, 64, 92, 24, 14]
      inputs:
        # 0 all, 1 active, 2 deadonly, 3  myuploads, 4 zeroseed, 6 re-seeded
        incldead: 0
    - path: browse.php
      categories: [33, 66, 89]
      inputs:
        xxx: 1
        # 0 active, 1 all, 2 deadonly, 3  myuploads, 4 zeroseed, 6 re-seeded
        incldead: 1
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    # site does not support imdbid searching
    # can support genre searching but you need to know the id, eg &genre23=1 for Comedy (id is 23)

  rows:
    selector: "tr[class^=\"toriadatok\"]:has(i.status-yes){{ if .Config.freeleech }}:has(i:contains(\"(Free)\")){{ else }}{{ end }}"

  fields:
    categorydesc:
      selector: td[class^="catpic_"]
      attribute: class
      filters:
        - name: replace
          args: ["catpic_", ""]
    title:
      selector: span.torrent-name
    _id:
      selector: tr[data-torrent-id]
      attribute: data-torrent-id
    details:
      text: "details.php?id={{ .Result._id }}#adatlap"
    download:
      text: "download.php?torrent={{ .Result._id }}"
    poster:
      selector: a.preview
      attribute: href
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    size:
      selector: td.torrent-size
    date:
      # 36 perce
      # 13 órája  és 59 perce
      # 2 napja  és 10 órája
      # 1 hete  és 1 napja
      # 1 éve  és 30 hete
      selector: span.uploader
      filters:
        - name: replace
          args: ["és ", " "]
        - name: replace
          args: ["perce", "minute"]
        - name: replace
          args: ["órája", "hour"]
        - name: replace
          args: ["napja", "day"]
        - name: replace
          args: ["hete", "week"]
        - name: replace
          args: ["éve", "year"]
        - name: timeago
    seeders:
      selector: td:nth-child(5)
      optional: true
      default: 0
    leechers:
      selector: td:nth-child(6)
      optional: true
      default: 0
    grabs:
      selector: td:nth-child(7)
      optional: true
      default: 0
    genre:
      selector: span.torrent-genre
    description:
      text: "{{ .Result.genre }}"
    downloadvolumefactor:
      case:
        "i:contains(\"(Free)\")": 0
        "*": 1
    uploadvolumefactor:
      case:
        "i:contains(\"(2x)\")": 2
        "i:contains(\"(3x)\")": 3
        "i:contains(\"(4x)\")": 4
        "*": 1
    minimumseedtime:
      # 1 day (as seconds = 1 x 24 x 60 x 60)
      text: 86400
# engine n/a
